import { RpsContext } from 'rpscript-interface';
/** SLOC
 * @namespace SLOC
 *
 * @description
 * Help you count SLOC
 *
 * @example
 * rps install sloc
 *
 * @see {@link https://www.npmjs.com/package/sloc|SLOC}
 *
*/
export default class RPSSloc {
    /**
     * @function sloc
     * @memberof SLOC
     * @example
     * ;print 'Hello' again
     * sloc $RESULT
     * @param {string} code source code to be counted
     * @param {string} fileExtension file extension of the supported languages. ts for typescript etc.
     * @returns {*} The result metrics
     * @summary Compute the SLOC
     *
     * @see {@link https://www.npmjs.com/package/sloc}
     *
    */
    sloc(ctx: RpsContext, opts: Object, language: string, code: string): Promise<Object>;
}
